<?php

namespace App\Http\Controllers;


use Illuminate\Http\Request;
use App\Models\ClientReviewRequest;
class SupervisingPhysicianController extends Controller
{

    public function dashboard(Request $request){
        $performer = $this->performer();
        $pro = $performer->pro;
        $performerProID = $performer->pro->id;

        $milliseconds = strtotime(date('Y-m-d')) . '000'; //required by the calendar
        return view('app.ps.dashboard', compact( 'milliseconds'));
    }

    public function clientReviewRequests(Request $request){
        $hideTitle = $request->get('hideTitle');
        $performer = $this->performer();
        $pro = $performer->pro;
        $reviewRequests = ClientReviewRequest::where('pro_id', $pro->id)->where('is_active', true)->orderBy('created_at', 'DESC')->paginate(50);
        return view('app.ps.review-requests.list', compact('reviewRequests', 'hideTitle'));
    }
}
